#ifndef POINT_H
#define POINT_H
#include <QtGui>

class Point
{
    private:
        double x, y;

    public:
        Point() : x(0), y(0) {}
        Point(const double x_, const double y_):  x(x_), y(y_) {}
        double getX() const {return x;}
        double getY() const {return y;}
        void setX(const double x_) {x = x_;}
        void setY(const double y_) {y = y_;}
        void drawPoint(QPainter *painter);

};


#endif // POINT_H
