#include "Polygon.h"

void Polygon::drawPolygon(QPainter *painter)
{
    //Create pen
    QPen pen;
    pen.setColor(Qt::red);

    //Set pen to painter
    painter->setPen(pen);
    painter->setBrush(Qt::yellow);

    //Append points to Q-Polygon
    QPolygon p;
    const unsigned int n = points.size();
    for (unsigned int i = 0; i < n; i++)
    {
        p.append(QPoint((int)points[i].getX(), (int)points[i].getY()));
    }

    //Draw polygon
    painter->drawPolygon(p);
}
