#ifndef POLYGON_H
#define POLYGON_H

#include <vector>
#include <QtGui>
#include "Point.h"

class Polygon
{
    private:
        std::vector <Point> points;

    public:
        void addPoint(const Point &p){points.push_back(p);}
        Point & getPoint(unsigned int index) {return points[index];}
        unsigned int getSize() const {return points.size();}
        void clear(){points.clear();}
        void drawPolygon(QPainter *painter);

};


#endif // POLYGON_H
