#include "draw.h"
#include <QtGui/QPainter>

Draw::Draw(QWidget * parent) : QWidget(parent)
{
    p = NULL;
    q = NULL;
}

void Draw::paintEvent(QPaintEvent *e)
{
    QPainter painter(this);

    //Start draw
    painter.begin(this);

    //Set background
    setBackgroundRole(QPalette::Base);
    setAutoFillBackground(true);

    if (p != NULL)
    {
        p->drawPolygon(&painter);
    }

    if (q != NULL)
    {
        q->drawPoint(&painter);
    }

    painter.end();
}





