#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include "Polygon.h"

namespace Ui {
    class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

private:
    Polygon p;
    Point q;
    bool input_point, input_polygon;

public:
    explicit Widget(QWidget *parent = 0);
    void mousePressEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);

    ~Widget();

private:
    Ui::Widget *ui;

private slots:
    void on_pushButton_5_clicked();
    void on_pushButton_4_clicked();
    void on_pushButton_clicked();
    void on_pushButton_3_clicked();
    void on_pushButton_2_clicked();
};

#endif // WIDGET_H
